第 1 章 安装和升级

在安装前,请查看每个产品所需的硬件和系统配置。您可以使用受支持的 Red Hat OpenShift Container Platform 版本在 Linux 上在线安装。

  1. 您必须有受支持的 OpenShift Container Platform 版本。例如,您可以在 AWS 或 Red Hat OpenShift Dedicated 上使用 Red Hat OpenShift Service。
  2. 您必须安装 multicluster engine operator。

FIPS 注意:如果您没有在 spec.ingress.sslCiphers 中指定自己的密码,则 multiclusterhub-operator 会提供默认密码列表。对于 2.3,这个列表包含两个 未被 FIPS 批准的密码。如果您从 2.3.x 或更早版本升级并希望符合 FIPS 合规性,请从 multiclusterhub 资源中删除以下两个密码: ECDHE-ECDSA-CHACHA20-POLY1305ECDHE-RSA-CHACHA20-POLY1305

安装 Red Hat Advanced Cluster Management for Kubernetes 来设置一个多节点集群生产环境。您可以使用标准配置或高可用性配置安装 Red Hat Advanced Cluster Management for Kubernetes。有关安装过程的更多信息,请参阅以下文档:

1.1. 要求和建议

在安装 Red Hat Advanced Cluster Management for Kubernetes 前,请查看系统配置要求和设置:

1.1.1. 支持的操作系统和平台

Red Hat Advanced Cluster Management for Kubernetes 产品信息页中访问 Support Matrix,以了解 hub 集群和受管集群要求和支持。

1.1.2. 支持的浏览器

您可从 Mozilla Firefox、Google Chrome、Microsoft Edge 和 Safari 访问 Red Hat Advanced Cluster Management 控制台。请查看以下经过测试和支持的版本:

平台支持的浏览器

Microsoft Windows

Microsoft Edge - 44 或更新版本,Mozilla Firefox - 82.0 或更新版本,Google Chrome - 版本 86.0 及更新版本

Linux

Mozilla Firefox - 82.0 及更新版本,Google Chrome - 版本 86.0 及更新版本

macOS

Mozilla Firefox - 82.0 及更新版本,Google Chrome - 版本 86.0 及更新版本,Safari - 14.0 及更新版本

有关集群大小信息,请参阅调整集群大小